Package fr.gouv.vitam.storage.offers.tape.worker.tasks

# Class ReadWriteTask

java.lang.Object
fr.gouv.vitam.storage.offers.tape.worker.tasks.ReadWriteTask

All Implemented Interfaces:
  `Future<ReadWriteResult>`

public class ReadWriteTask extends Object implements Future<ReadWriteResult>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface java.util.concurrent.Future

  `Future.State`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReadWriteTask(ReadWriteOrder order, TapeCatalog workerCurrentTape, TapeLibraryService tapeLibraryService, TapeCatalogService tapeCatalogService, ArchiveReferentialRepository archiveReferentialRepository, AccessRequestManager accessRequestManager, String inputTarPath, boolean forceOverrideNonEmptyCartridges, ArchiveCacheStorage archiveCacheStorage)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `cancel(boolean mayInterruptIfRunning)`
  `ReadWriteResult`
  `get()`
  `ReadWriteResult`
  `get(long timeout, TimeUnit unit)`
  `boolean`
  `isCancelled()`
  `boolean`
  `isDone()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.concurrent.Future

  `exceptionNow, resultNow, state`

- ## Constructor Details

  - ### ReadWriteTask

    public ReadWriteTask(ReadWriteOrder order, TapeCatalog workerCurrentTape, TapeLibraryService tapeLibraryService, TapeCatalogService tapeCatalogService, ArchiveReferentialRepository archiveReferentialRepository, AccessRequestManager accessRequestManager, String inputTarPath, boolean forceOverrideNonEmptyCartridges, ArchiveCacheStorage archiveCacheStorage)

- ## Method Details

  - ### get

    public ReadWriteResult get() throws InterruptedException, ExecutionException
    Specified by:
      `get` in interface `Future<ReadWriteResult>`
    Throws:
      `InterruptedException`
      `ExecutionException`

  - ### get

    public ReadWriteResult get(long timeout, TimeUnit unit) throws InterruptedException, ExecutionException, TimeoutException
    Specified by:
      `get` in interface `Future<ReadWriteResult>`
    Throws:
      `InterruptedException`
      `ExecutionException`
      `TimeoutException`

  - ### cancel

    public boolean cancel(boolean mayInterruptIfRunning)
    Specified by:
      `cancel` in interface `Future<ReadWriteResult>`

  - ### isCancelled

    public boolean isCancelled()
    Specified by:
      `isCancelled` in interface `Future<ReadWriteResult>`

  - ### isDone

    public boolean isDone()
    Specified by:
      `isDone` in interface `Future<ReadWriteResult>`